### Enumeration

# CM Error

#### Declaration

    error-domain CM.Error

#### Description [src]

The Error returned by the Matrix Server See https://matrix.org/docs/spec/client_server/r0.6.1#api-standards for details.

#### Members

`CM_ERROR_FORBIDDEN`

  No description available.

  - Value: `1`
  - Available since: 0
`CM_ERROR_UNKNOWN_TOKEN`

  No description available.

  - Value: `2`
  - Available since: 0
`CM_ERROR_MISSING_TOKEN`

  No description available.

  - Value: `3`
  - Available since: 0
`CM_ERROR_BAD_JSON`

  No description available.

  - Value: `4`
  - Available since: 0
`CM_ERROR_NOT_JSON`

  No description available.

  - Value: `5`
  - Available since: 0
`CM_ERROR_NOT_FOUND`

  No description available.

  - Value: `6`
  - Available since: 0
`CM_ERROR_LIMIT_EXCEEDED`

  No description available.

  - Value: `7`
  - Available since: 0
`CM_ERROR_UNKNOWN`

  No description available.

  - Value: `8`
  - Available since: 0
`CM_ERROR_UNRECOGNIZED`

  No description available.

  - Value: `9`
  - Available since: 0
`CM_ERROR_UNAUTHORIZED`

  No description available.

  - Value: `10`
  - Available since: 0
`CM_ERROR_USER_DEACTIVATED`

  No description available.

  - Value: `11`
  - Available since: 0
`CM_ERROR_USER_IN_USE`

  No description available.

  - Value: `12`
  - Available since: 0
`CM_ERROR_INVALID_USERNAME`

  No description available.

  - Value: `13`
  - Available since: 0
`CM_ERROR_ROOM_IN_USE`

  No description available.

  - Value: `14`
  - Available since: 0
`CM_ERROR_INVALID_ROOM_STATE`

  No description available.

  - Value: `15`
  - Available since: 0
`CM_ERROR_THREEPID_IN_USE`

  No description available.

  - Value: `16`
  - Available since: 0
`CM_ERROR_THREEPID_NOT_FOUND`

  No description available.

  - Value: `17`
  - Available since: 0
`CM_ERROR_THREEPID_AUTH_FAILED`

  No description available.

  - Value: `18`
  - Available since: 0
`CM_ERROR_THREEPID_DENIED`

  No description available.

  - Value: `19`
  - Available since: 0
`CM_ERROR_SERVER_NOT_TRUSTED`

  No description available.

  - Value: `20`
  - Available since: 0
`CM_ERROR_UNSUPPORTED_ROOM_VERSION`

  No description available.

  - Value: `21`
  - Available since: 0
`CM_ERROR_INCOMPATIBLE_ROOM_VERSION`

  No description available.

  - Value: `22`
  - Available since: 0
`CM_ERROR_BAD_STATE`

  No description available.

  - Value: `23`
  - Available since: 0
`CM_ERROR_GUEST_ACCESS_FORBIDDEN`

  No description available.

  - Value: `24`
  - Available since: 0
`CM_ERROR_CAPTCHA_NEEDED`

  No description available.

  - Value: `25`
  - Available since: 0
`CM_ERROR_CAPTCHA_INVALID`

  No description available.

  - Value: `26`
  - Available since: 0
`CM_ERROR_MISSING_PARAM`

  No description available.

  - Value: `27`
  - Available since: 0
`CM_ERROR_INVALID_PARAM`

  No description available.

  - Value: `28`
  - Available since: 0
`CM_ERROR_TOO_LARGE`

  No description available.

  - Value: `29`
  - Available since: 0
`CM_ERROR_EXCLUSIVE`

  No description available.

  - Value: `30`
  - Available since: 0
`CM_ERROR_RESOURCE_LIMIT_EXCEEDED`

  No description available.

  - Value: `31`
  - Available since: 0
`CM_ERROR_CANNOT_LEAVE_SERVER_NOTICE_ROOM`

  No description available.

  - Value: `32`
  - Available since: 0
`CM_ERROR_BAD_PASSWORD`

  No description available.

  - Value: `-1`
  - Available since: 0
`CM_ERROR_NO_HOME_SERVER`

  No description available.

  - Value: `-2`
  - Available since: 0
`CM_ERROR_BAD_HOME_SERVER`

  No description available.

  - Value: `-3`
  - Available since: 0
`CM_ERROR_USER_DEVICE_CHANGED`

  No description available.

  - Value: `-4`
  - Available since: 0
`CM_ERROR_BAD_PUSH_GATEWAY`

  No description available.

  - Value: `-5`
  - Available since: 0

#### Type functions

###### cm_error_quark

No description available.